org.apache.catalina.mapper

## Class WrapperMappingInfo

- java.lang.Object
- - org.apache.catalina.mapper.WrapperMappingInfo

-     public class WrapperMappingInfo
      extends Object

  Encapsulates information used to register a Wrapper mapping.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrapperMappingInfo(String mapping, Wrapper wrapper, boolean jspWildCard, boolean resourceOnly)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMapping()`
    `Wrapper` | `getWrapper()`
    `boolean` | `isJspWildCard()`
    `boolean` | `isResourceOnly()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrapperMappingInfo

          public WrapperMappingInfo(String mapping,
                            Wrapper wrapper,
                            boolean jspWildCard,
                            boolean resourceOnly)

  - ### Method Detail

    - #### getMapping

          public String getMapping()

    - #### getWrapper

          public Wrapper getWrapper()

    - #### isJspWildCard

          public boolean isJspWildCard()

    - #### isResourceOnly

          public boolean isResourceOnly()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.